Your message dated Tue, 24 Jun 2014 22:04:48 +0000
with message-id <e1wzypc-00060s...@franck.debian.org>
and subject line Bug#747820: fixed in kmymoney 4.6.6-1
has caused the Debian Bug report #747820,
regarding Please add a dependency on AqBanking's plugin package
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
747820: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=747820
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: kmymoney
Version: 4.6.4-1
Tags: patch

Hi KMyMoney maintainers,

Ignoring the Recommends: package relationship (as some users have
configured) it is possible to install kmymoney without installing
libaqbanking34-plugins. When this package is missing, AqBanking does not
work correctly, as has been reported e.g. for Gnucash in Debian bug #725022.

Kmymoney already depends on libaqbanking34, so an intuitive approach to
this issue would be to let libaqbanking34 depend on
libaqbanking34-plugins. Unfortunately this would introduce a cyclic
dependency as libaqbanking34-plugins itself already depends on
libaqbanking34. But the Debian policy chapter 7.2 discourages cyclic
dependencies.

For this reason I want to ask you to let the binary package kmymoney
depend on libaqbanking34-plugins. Please do so by using the new
debhelper plugin, which is available since libaqbanking 5.3.5beta-2. The
attached patch shows all the changes needed to make use of the new
debhelper plugin.

Thanks a lot in advance,

Best regards,
Micha
Index: debian/control
===================================================================
--- debian/control	(revision 19890)
+++ debian/control	(working copy)
@@ -5,7 +5,7 @@
 Uploaders: Mark Purcell <m...@debian.org>, Fathi Boudra <f...@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.9.0),
  kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev (>= 4:4.4.4), shared-mime-info,
- libaqbanking34-dev | libaqbanking-dev, libgwenhywfar60-dev | libgwenhywfar-dev, 
+ libaqbanking34-dev (>= 5.3.5beta-2~) | libaqbanking-dev, libgwenhywfar60-dev | libgwenhywfar-dev, 
  libboost-graph-dev, libfinance-quote-perl, libgpgme11-dev, libalkimia-dev,
  libical-dev, libjpeg-dev, libofx-dev, libgmp-dev,
  libpng-dev, libsqlite3-dev, zlib1g-dev, pkg-config
@@ -16,7 +16,8 @@
 
 Package: kmymoney
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kmymoney-common (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${aqbanking:Depends},
+ kmymoney-common (= ${source:Version})
 Recommends: gnupg-agent, pinentry-qt4
 Description: personal finance manager for KDE
  KMyMoney is the Personal Finance Manager for KDE. It operates similar to
Index: debian/rules
===================================================================
--- debian/rules	(revision 19890)
+++ debian/rules	(working copy)
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --parallel --list-missing --dbg-package=kmymoney-dbg --with kde
+	dh $@ --parallel --list-missing --dbg-package=kmymoney-dbg --with kde,aqbanking
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON

--- End Message ---
--- Begin Message ---
Source: kmymoney
Source-Version: 4.6.6-1

We believe that the bug you reported is fixed in the latest version of
kmymoney, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 747...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <m...@debian.org> (supplier of updated kmymoney package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 25 Jun 2014 06:17:48 +1000
Source: kmymoney
Binary: kmymoney kmymoney-common kmymoney-dev kmymoney-dbg
Architecture: source amd64 all
Version: 4.6.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Mark Purcell <m...@debian.org>
Description:
 kmymoney   - personal finance manager for KDE
 kmymoney-common - KMyMoney architecture independent files
 kmymoney-dbg - KMymoney debugging symbols
 kmymoney-dev - KMyMoney development files
Closes: 698578 747820
Changes:
 kmymoney (4.6.6-1) unstable; urgency=low
 .
   * New upstream release
   * Update debian/watch
   * Drop debian/patches - incorporated upstream
   * Fix "Please add a dependency on AqBanking's plugin package"
     - Apply Micha Lenk patch (Closes: #747820)
   * Fix "segfault in split transaction" resolved upstream (Closes: #698578)
Checksums-Sha1:
 7a82b6872db1259a308207eb304658e4f2fb5251 1865 kmymoney_4.6.6-1.dsc
 bababb80949caf224424eabe386e9d69e100068e 19991336 kmymoney_4.6.6.orig.tar.xz
 0f2e8af3d48ad7e5a47eda40bee5c228bd716565 10016 kmymoney_4.6.6-1.debian.tar.xz
 fbcc975a9a226a14212c74d5f7080d1dad18b5f1 2984050 kmymoney_4.6.6-1_amd64.deb
 14d7cdd2dd080ab3bab7114006775c15a14ffda9 18311136 
kmymoney-common_4.6.6-1_all.deb
 b66649d5e0b560d1981361b06840e366e1ab9bae 203076 kmymoney-dev_4.6.6-1_amd64.deb
 9b9cff8e127fee89ca033b8661f9a295abf28648 38222622 
kmymoney-dbg_4.6.6-1_amd64.deb
Checksums-Sha256:
 0281d93b370338f3c5fe61a07e7f12858e75e35b50a0f763bff91e82cf19e518 1865 
kmymoney_4.6.6-1.dsc
 2b9e70a157ce270ab337d981145b3a79aa4533c7daadcca426299dfcd0a9d06d 19991336 
kmymoney_4.6.6.orig.tar.xz
 728ffd59d9eaef3148286d457d9ade4730b8666874b9d71bda9bcd63c6c6a5eb 10016 
kmymoney_4.6.6-1.debian.tar.xz
 f61ee7340eeaa19bcbd5fd13d15a49d56bd3fe94796065a81a7206e8280b8b74 2984050 
kmymoney_4.6.6-1_amd64.deb
 7c1b22cbbbca56796d7d58a3dbd45d22e527a3e4be40e15ccd9a243ae49630a8 18311136 
kmymoney-common_4.6.6-1_all.deb
 cc43631d92d22532abe560cf29f1c0c56b0a22058fea0c32bb5640f190a3cdfa 203076 
kmymoney-dev_4.6.6-1_amd64.deb
 2a4bdadadb74f01036bfa062ad4dc66d0183e7569ce4221ee8722640b54ffc67 38222622 
kmymoney-dbg_4.6.6-1_amd64.deb
Files:
 992077f4c4d0acda3c1df2fe61748177 2984050 kde optional 
kmymoney_4.6.6-1_amd64.deb
 31b3f2f298f031e43a6a188ea4ef23a7 18311136 kde optional 
kmymoney-common_4.6.6-1_all.deb
 7cab778fc24aab06b39cab9bc82ded56 203076 libdevel optional 
kmymoney-dev_4.6.6-1_amd64.deb
 d45fa0665dd08906f15f20a318cdaae2 38222622 debug extra 
kmymoney-dbg_4.6.6-1_amd64.deb
 af605798247ebc7728abebb5fc7e94a5 1865 kde optional kmymoney_4.6.6-1.dsc
 c346d16683666d537ce4141498141829 19991336 kde optional 
kmymoney_4.6.6.orig.tar.xz
 ee3b019d733785283c33d436511350de 10016 kde optional 
kmymoney_4.6.6-1.debian.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iEYEARECAAYFAlOp6RAACgkQoCzanz0IthKycgCdFIW3iGEVYzfYIKlN4Mh7ls/l
hQAAn0GoeIbniXPTTEc7BkMFPQFkmtIv
=BWlh
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to